const buildshell = require("../shell/build");
var _ = require('lodash');


module.exports = {
    build: (req, res) => {// post请求
        (async () => {
            try {
                var body = req.body;
                var p_id = _.toInteger(body.p_id);
                var env_id = _.toInteger(body.env_id);
                var branch = body.branch;
                var version = body.version;

                // 接受是否发布的数据 没有传的情况下默认没有发布
                var is_deploy = _.isEmpty(body.is_deploy) ? false : body.is_deploy;
                //todo 这里的值是字符串还对象
                var deploy_list = _.isEmpty(body.deploy_list) ? [] : body.deploy_list;
                
                var result = await buildshell.build(p_id, env_id, branch, version,is_deploy,deploy_list);
                res.end("{\"success\":true}");
            } catch (error) {
                console.log(error);
                res.end("{\"success\":false}");
            }
        })();
    }
}